# Uses of Class
org.apache.lucene.store.ByteBuffersDataInput

Packages that use ByteBuffersDataInput
Package
Description
org.apache.lucene.codecs.compressing
Compressing helper classes.
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of ByteBuffersDataInput in org.apache.lucene.codecs.compressing

  Methods in org.apache.lucene.codecs.compressing with parameters of type ByteBuffersDataInput
  Modifier and Type
  Method
  Description
  `abstract void`
  Compressor.`compress(ByteBuffersDataInput buffersInput, DataOutput out)`
  Compress bytes into `out`.

- ## Uses of ByteBuffersDataInput in org.apache.lucene.store

  Methods in org.apache.lucene.store that return ByteBuffersDataInput
  Modifier and Type
  Method
  Description
  `ByteBuffersDataInput`
  ByteBuffersDataInput.`slice(long offset, long length)`
  `ByteBuffersDataInput`
  ByteBuffersDataOutput.`toDataInput()`
  Return a `ByteBuffersDataInput` for the set of current buffers (`ByteBuffersDataOutput.toBufferList()`).
  Constructors in org.apache.lucene.store with parameters of type ByteBuffersDataInput
  Modifier
  Constructor
  Description
  ``
  `ByteBuffersIndexInput(ByteBuffersDataInput in, String resourceDescription)`